Page MenuHomePhabricator

Create auto-validate privilege
Closed, ResolvedPublic

Description

Author: mchidester

Description:
I run a small wiki that catalogs Renaissance books and manuscripts, and we've started using Proofread Page to organize transcriptions before translating them. Since I'm the primary person using this extension, I have to pull in people who aren't involved to validate the transcriptions after I enter them.

It would be a lot easier if there were a privilege that could be assigned to specific usergroups that would allow them to validate pages they've proofread (or if this were an automatic admin privilege).


Version: unspecified
Severity: enhancement

Details

Reference
bz49482

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:43 AM
bzimport set Reference to bz49482.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jun 12 2013, 3:14 PM
Tpt added a comment.Jun 12 2013, 3:56 PM

So, what you want is a right that allows users to tag as validated works that are tags as proofread? I think it can be done easily.

mchidester wrote:

Yes, a way to bypass the restriction on validating your own work.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2015, 8:11 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 5 2017, 9:36 AM
Tpt added a comment.Jun 3 2017, 9:55 AM

A good implementation of this feature could be to create a new 'pagequality-admin' right that is by default only available to admins and allows to override the page quality indicator.
See https://www.mediawiki.org/wiki/Manual:User_rights for an introduction to user rights

Change 357228 had a related patch set uploaded (by Amritsreekumar; owner: Amritsreekumar):
[mediawiki/extensions/ProofreadPage@master] Create auto-validate privilege

https://gerrit.wikimedia.org/r/357228

Change 357228 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Create auto-validate privilege

https://gerrit.wikimedia.org/r/357228

amritsreekumar closed this task as Resolved.Jun 7 2017, 6:56 AM

As mentioned elsewhere, valuable feature. It should not be default ON. I would argue that this should be configured for the wiki at the time of its configuration, and only turned on if/where it is deemed necessary